Bug 198936 - [kate] Rendering issue for Indic Language during wrap up a line
Summary: [kate] Rendering issue for Indic Language during wrap up a line
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kdebase   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords: i18n
Depends On:
Blocks: 209584
TreeView+ depends on / blocked
 
Reported: 2006-07-14 20:12 UTC by A S Alam
Modified: 2013-07-03 00:38 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-13 05:37:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Image showing wrong rendering in wrap up line (66.44 KB, image/png)
2006-07-14 20:12 UTC, A S Alam
no flags Details
test Case text (1.50 KB, text/plain)
2006-07-14 20:15 UTC, A S Alam
no flags Details

Description A S Alam 2006-07-14 20:12:34 UTC
Description of problem:
typing Indic language (pa,hi,bn,gu,ta etc.) in a row is ok, but when line is
wrap up into 2nd line, then rendering is not very clear (various characters are
intermixed).


Version-Release number of selected component (if applicable):
kdeutils-3.5.3-2.

How reproducible:
Everytime during Wrap up a line into next with Indic language

Steps to Reproduce:
1. open kate
2. open attached text file (pa_IN.UTF-8) or copy paste text from
(http://5abi.com/tuhade_patra/Daak2004/)
3. check wrap up lines
  
Actual results:
characters are soo badly intermixed that not able read

Expected results:
during wrap up, rendering should be perfect (like kedit, kbabel)

Additional info:
you can check same text with kedit, which is working normally

Comment 1 A S Alam 2006-07-14 20:12:34 UTC
Created attachment 132458 [details]
Image showing wrong rendering in wrap up line

Comment 2 A S Alam 2006-07-14 20:14:33 UTC
--Version--
kdebase-3.5.3-12
------

Comment 3 A S Alam 2006-07-14 20:15:46 UTC
Created attachment 132459 [details]
test Case text

Multiline text, please try to resize the Kate, if you want to see the
difference of wrap up a line

Comment 4 Ding-Yi Chen 2007-09-21 04:08:01 UTC
Hi,

I've tested it with KDE 3.5.7.7  without any problems.

Have you tried to upgrade your KDE?

Regards,
Ding-Yi Chen

Comment 5 A S Alam 2007-11-13 05:37:31 UTC
yes, it is better with latest version
Closing bug
kdebase-3.5.8


Note You need to log in before you can comment on or make changes to this bug.